can anyone say whether or not snow leopard is compatible with widows office 04, mac version ?

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • Yes it is compatible. I was using Office 2004 while I had Snow Leopard until I got iWork '08.